<?php
/**
 * @package whimsy
 */
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('brick'); ?>>
    
	<div class="entry-img">
        
        <a href="<?php the_permalink(); ?>" rel="bookmark"><?php if ( has_post_thumbnail() ) { the_post_thumbnail( 'thumbnail' ); } ?></a>
        
    </div>

	<header class="entry-header">
        
		<?php the_title( sprintf( '<h1 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        
		<?php if ( 'post' == get_post_type() ) : ?>
        
		<div class="entry-meta">
            
			<?php whimsy_posted_on(); ?>
            
		</div><!-- .entry-meta -->
        
		<?php endif; ?>
        
	</header><!-- .entry-header -->

	<div class="entry-content">
        
		<?php the_excerpt( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'whimsy-framework' ) ); ?>
        
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'whimsy-framework' ),
				'after'  => '</div>',
			) );
		?>
        
	</div><!-- .entry-content -->

	<footer class="entry-footer">
        
		<?php if ( 'post' == get_post_type() ) : // Hide category and tag text for pages on Search ?>
        
			<?php
				/* translators: used between list items, there is a space after the comma */
				$categories_list = get_the_category_list( __( ', ', 'whimsy-framework' ) );
				if ( $categories_list && whimsy_categorized_blog() ) :
			?>
        
			<span class="cat-links">
				<?php printf( __( 'Posted in %1$s', 'whimsy-framework' ), $categories_list ); ?>
			</span>
        
			<?php endif; // End if categories ?>

			<?php
				/* translators: used between list items, there is a space after the comma */
				$tags_list = get_the_tag_list( '', __( ', ', 'whimsy-framework' ) );
				if ( $tags_list ) :
			?>
        
			<span class="tags-links">
                
				<?php printf( __( 'Tagged %1$s', 'whimsy-framework' ), $tags_list ); ?>
                
			</span>
        
			<?php endif; // End if $tags_list ?>
        
		<?php endif; // End if 'post' == get_post_type() ?>

		<?php if ( ! post_password_required() && ( comments_open() || '0' != get_comments_number() ) ) : ?>
        
		<span class="comments-link"><?php comments_popup_link( __( 'Leave a comment', 'whimsy-framework' ), __( '1 Comment', 'whimsy-framework' ), __( '% Comments', 'whimsy-framework' ) ); ?></span>
        
		<?php endif; ?>

		<?php edit_post_link( __( 'Edit', 'whimsy-framework' ), '<span class="edit-link">', '</span>' ); ?>
        
	</footer><!-- .entry-footer -->
    
</div><!-- #post-## -->